<?php
/**
 * Template Name: Archive Page Template
 *
 * Description: A custom archive page with tags, latest posts and a monthly archive
 *
 */

get_header(); ?>

	<div id="primary" class="site-content">
		<div id="content" role="main">

			<?php while ( have_posts() ) : the_post(); ?>

			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<header class="entry-header">
					<h1 class="entry-title"><?php the_title(); ?></h1>
				</header>

				<div class="entry-content">
					<h2 class="archive-title"><?php _e('Filter by Tags:', 'twentytwelve') ?></h2>
					<div class ="archive-tags">
						<?php wp_tag_cloud('orderby=count&number=30'); ?> 
					</div><!-- end .archive-tags -->

					<h2 class="archive-title"><?php _e('The Latest 30 Posts:', 'twentytwelve') ?></h2>
					<ul class="latest-posts-list">
						<?php wp_get_archives('type=postbypost&limit=30'); ?>  
					</ul><!-- end .latest-posts-list -->

					<h2 class="archive-title"><?php _e('The Monthly Archives:', 'twentytwelve') ?></h2>
					<ul class="monthly-archive-list">
						<?php wp_get_archives('type=monthly'); ?>  
					</ul><!-- end .monthly-archive-list -->
				</div><!-- end .entry-content -->
		
			</article><!-- #post -->

			<?php endwhile; // end of the loop. ?>

		</div><!-- #content -->
	</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>

